---
### playbook is used to prove that ansible is working (uses local if not in context)
- hosts: all
  gather_facts: false
  debugger: {{ if .Param "rs-debug-enable" }}on_failed{{ else }}never{{ end }}
  user: "{{ .Param "rsa/key-user" }}"

  vars:
    test: "file.test"

  tasks:
    - name: "Testing ansible-playbooks-{{- if eq (len .Machine.Context) 0 }}local{{else}}context{{end}}"
      debug:
        msg: "Testing Ansible Variable: {{`{{ test }}`}}"

    - name: "Validating access to system"
      file:
        path: "{{`{{ test }}`}}"
        state: touch

    - name: "Showing Available DRP Data"
      debug:
        var: digitalrebar
      ignore_errors: true
